# Generated by Django 4.0 on 2022-04-27 07:27

import codex.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auth', '0012_alter_user_first_name_max_length'),
        ('codex', '0017_alter_interviewparticipant_options_and_more'),
    ]

    operations = [
        migrations.CreateModel(
            name='Path',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(max_length=512)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='+', to='auth.user')),
            ],
            bases=(codex.models.NamedMixin, models.Model),
        ),
        migrations.CreateModel(
            name='PathPart',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('order', models.IntegerField()),
                ('path', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='parts', to='codex.path')),
                ('relationship', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='codex.relationship')),
            ],
            options={
                'ordering': ['path', 'order'],
            },
        ),
    ]
